Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.session
Interface OutgoingServerSession

All Superinterfaces:
  ChannelHandler, RoutableChannelHandler, Session

All Known Implementing Classes:
  LocalOutgoingServerSession

    public interface OutgoingServerSession

extends Session

Server-to-server communication is done using two TCP connections between the servers. One connection is used for sending packets while the other connection is used for receiving packets. The `OutgoingServerSession` represents the connection to a remote server that will only be used for sending packets.

Once the connection has been established with the remote server and at least a domain has been authenticated then a new route will be added to the routing table for this connection. For optimization reasons the same outgoing connection will be used even if the remote server has several hostnames. However, different routes will be created in the routing table for each hostname of the remote server.

Author:
  Gaston Dombiak

Field Summary

Fields inherited from interface org.jivesoftware.openfire.session.Session
`MAJOR_VERSION, MINOR_VERSION, STATUS_AUTHENTICATED, STATUS_CLOSED, STATUS_CONNECTED`

Method Summary
`void` | `addAuthenticatedDomain(String domain)` Adds a new authenticated domain, subdomain or virtual host to the list of authenticated domains for the remote server.
`void` | `addHostname(String hostname)` Adds a new hostname to the list of known hostnames of the remote server.
`boolean` | `authenticateSubdomain(String domain, String hostname)` Authenticates a subdomain of this server with the specified remote server over an exsiting outgoing connection.
`Collection<String>` | `getAuthenticatedDomains()` Returns a collection with all the domains, subdomains and virtual hosts that where authenticated.
`Collection<String>` | `getHostnames()` Returns the list of hostnames related to the remote server.
`boolean` | `isUsingServerDialback()` Returns true if this outgoing session was established using server dialback.

Methods inherited from interface org.jivesoftware.openfire.session.Session
`close, deliverRawText, getAddress, getCreationDate, getHostAddress, getHostName, getLastActiveDate, getNumClientPackets, getNumServerPackets, getServerName, getStatus, getStreamID, isClosed, isSecure, process, validate`

Method Detail

### getAuthenticatedDomains

    Collection<String> getAuthenticatedDomains()

  Returns a collection with all the domains, subdomains and virtual hosts that where authenticated. The remote server will accept packets sent from any of these domains, subdomains and virtual hosts.

  Returns:
    domains, subdomains and virtual hosts that where validated.

### addAuthenticatedDomain

    void addAuthenticatedDomain(String domain)

  Adds a new authenticated domain, subdomain or virtual host to the list of authenticated domains for the remote server. The remote server will accept packets sent from this new authenticated domain.

  Parameters:
    `domain` - the new authenticated domain, subdomain or virtual host to add.

### getHostnames

    Collection<String> getHostnames()

  Returns the list of hostnames related to the remote server. This tracking is useful for reusing the same session for the same remote server even if the server has many names.

  Returns:
    the list of hostnames related to the remote server.

### addHostname

    void addHostname(String hostname)

  Adds a new hostname to the list of known hostnames of the remote server. This tracking is useful for reusing the same session for the same remote server even if the server has many names.

  Parameters:
    `hostname` - the new known name of the remote server

### authenticateSubdomain

    boolean authenticateSubdomain(String domain,
                                  String hostname)

  Authenticates a subdomain of this server with the specified remote server over an exsiting outgoing connection. If the existing session was using server dialback then a new db:result is going to be sent to the remote server. But if the existing session was TLS+SASL based then just assume that the subdomain was authenticated by the remote server.

  Parameters:
    `domain` - the local subdomain to authenticate with the remote server.
    `hostname` - the hostname of the remote server.
  Returns:
    True if the subdomain was authenticated by the remote server.

### isUsingServerDialback

    boolean isUsingServerDialback()

  Returns true if this outgoing session was established using server dialback.

  Returns:
    true if this outgoing session was established using server dialback.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.